漏洞信息详情

FreeXL 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201802-604
  • 危害等级: 高危
  • CVE编号: CVE-2018-7435
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2018-02-26
  • 威胁类型: 远程
  • 更新时间: 2020-07-28
  • 厂        商:
  • 漏洞来源: Gentoo

漏洞简介

FreeXL是软件开发者Alessandro Furieri所研发的一个开源的用于从Excel(.xls)电子表格中提取有效数据的库。

FreeXL 1.0.5之前版本中的‘freexl::destroy_cell’函数存在基于堆的缓冲区越边界读取漏洞。攻击者可借助特制的xls文件利用该漏洞造成拒绝服务(段错误)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

https://www.gaia-gis.it/fossil/freexl/index

参考网址

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2018/03/msg00000.html

来源:GENTOO

链接:https://security.gentoo.org/glsa/202007-44

来源:MISC

链接:https://groups.google.com/forum/#!topic/spatialite-users/b-d9iB5TDPE

来源:MISC

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1547879

来源:DEBIAN

链接:https://www.debian.org/security/2018/dsa-4129

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/158610/Gentoo-Linux-Security-Advisory-202007-44.html

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多